classification
Title: xxlimited.obj: unresolved external symbol __imp__PyObject_New
Type: compile error Stage: needs patch
Components: Build Versions: Python 3.3
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, loewis, pitrou, skrah
Priority: normal Keywords:

Created on 2012-03-13 10:25 by skrah, last changed 2012-06-23 22:03 by loewis. This issue is now closed.

Messages (4)
msg155588 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-03-13 10:25
Linking fails on Windows 64-bit. Perhaps Py_LIMITED_API ifdefs
are missing.

   Creating library C:\Users\stefan\hg\cpython\PCbuild\\amd64\\xxlimited.lib and object C:\Users\stefan\hg\c
python\PCbuild\\amd64\\xxlimited.exp                                                                        
xxlimited.obj : error LNK2001: unresolved external symbol __imp__PyObject_New                               
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyType_FromSpec                             
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyDict_New                                  
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyDict_DelItemString                        
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyDict_GetItem                              
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyObject_GenericGetAttr                     
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyUnicode_Type                              
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyExc_AttributeError                        
xxlimited.obj : error LNK2001: unresolved external symbol __imp__Py_NoneStruct                              
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyArg_ParseTuple                            
xxlimited.obj : error LNK2001: unresolved external symbol __imp__Py_NotImplementedStruct                    
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyObject_Free                               
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyErr_SetString                             
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyModule_Create2                            
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyErr_NewException                          
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyLong_FromLong                             
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyBaseObject_Type                           
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyType_GenericNew                           
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyModule_AddObject                          
xxlimited.obj : error LNK2001: unresolved external symbol __imp_PyDict_SetItemString                        
C:\Users\stefan\hg\cpython\PCbuild\\amd64\\xxlimited.pyd : fatal error LNK1120: 20 unresolved externals
msg157241 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-03-31 23:29
Hmm... seems to work here (in release mode, for some reason it's skipped in debug mode).
msg157249 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-04-01 01:42
There is no debug version of the stable ABI, hence you can't build it in debug mode.
msg163685 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-23 22:03
Closing as works-for-me.
History
Date User Action Args
2012-06-23 22:03:53loewissetstatus: open -> closed
resolution: works for me
messages: + msg163685
2012-04-01 01:42:25loewissetmessages: + msg157249
2012-03-31 23:29:30pitrousetnosy: + pitrou
messages: + msg157241
2012-03-31 23:28:03pitrousetnosy: + loewis
2012-03-13 10:25:29skrahcreate